Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRungeKutta4 Class Reference

`#include <vtkRungeKutta4.h>`

Inheritance diagram for vtkRungeKutta4:

[legend]
Collaboration diagram for vtkRungeKutta4:

[legend]
List of all members.

## Detailed Description

Integrate an initial value problem using 4th.

Date:
  2002/11/06 20:10:00

Revision:
  1.13

order Runge-Kutta method.

This is a concrete sub-class of vtkInitialValueProblemSolver. It uses a 4th order Runge-Kutta method to obtain the values of a set of functions at the next time step.

See also:
  vtkInitialValueProblemSolver vtkRungeKutta45 vtkRungeKutta2 vtkFunctionSet

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (91%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkRungeKutta4.cxx)`
  - .`h` (`/Common/vtkRungeKutta4.h)`

Examples:
  vtkRungeKutta4 (Examples)

Tests:
  vtkRungeKutta4 (Tests)

Definition at line 54 of file vtkRungeKutta4.h.

## Public Types
typedef vtkInitialValueProblemSolver | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | ComputeNextStep (float *xprev, float *xnext, float t, float &delT, float maxError, float &error)
virtual int | ComputeNextStep (float *xprev, float *dxprev, float *xnext, float t, float &delT, float maxError, float &error)
virtual int | ComputeNextStep (float *xprev, float *xnext, float t, float &delT, float &delTActual, float minStep, float maxStep, float maxError, float &error)
virtual int | ComputeNextStep (float *xprev, float *dxprev, float *xnext, float t, float &delT, float &delTActual, float minStep, float maxStep, float maxError, float &error)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkRungeKutta4 * | SafeDownCast (vtkObject *o)
vtkRungeKutta4 * | New ()
## Protected Methods
| vtkRungeKutta4 ()
| ~vtkRungeKutta4 ()
virtual void | Initialize ()
## Protected Attributes
float * | NextDerivs [3]

## Member Typedef Documentation

typedef vtkInitialValueProblemSolver vtkRungeKutta4::Superclass

| Reimplemented from vtkInitialValueProblemSolver. Definition at line 57 of file vtkRungeKutta4.h.

## Constructor & Destructor Documentation

vtkRungeKutta4::vtkRungeKutta4 | ( |  | ) | `[protected]`

vtkRungeKutta4::~vtkRungeKutta4 | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkRungeKutta4::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInitialValueProblemSolver.

int vtkRungeKutta4::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInitialValueProblemSolver.

virtual int vtkRungeKutta4::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInitialValueProblemSolver.

vtkRungeKutta4* vtkRungeKutta4::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInitialValueProblemSolver.

virtual void vtkRungeKutta4::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkInitialValueProblemSolver.

vtkRungeKutta4* vtkRungeKutta4::New | ( |  | ) | `[static]`

| Construct a vtkRungeKutta4 with no initial FunctionSet. Reimplemented from vtkObject.

virtual int vtkRungeKutta4::ComputeNextStep | ( | float * | xprev,
|  | float * | xnext,
|  | float | t,
|  | float & | delT,
|  | float | maxError,
|  | float & | error
| ) | `[inline, virtual]`

| Given initial values, xprev , initial time, t and a requested time interval, delT calculate values of x at t+delT (xnext). delTActual is always equal to delT. Since this class can not provide an estimate for the error error is set to 0. maxStep, minStep and maxError are unused. This method returns an error code representing the nature of the failure: OutOfDomain = 1, NotInitialized = 2, UnexpectedValue = 3 Reimplemented from vtkInitialValueProblemSolver. Definition at line 71 of file vtkRungeKutta4.h. References vtkInitialValueProblemSolver::ComputeNextStep().

virtual int vtkRungeKutta4::ComputeNextStep | ( | float * | xprev,
|  | float * | dxprev,
|  | float * | xnext,
|  | float | t,
|  | float & | delT,
|  | float | maxError,
|  | float & | error
| ) | `[inline, virtual]`

| Given initial values, xprev , initial time, t and a requested time interval, delT calculate values of x at t+delT (xnext). delTActual is always equal to delT. Since this class can not provide an estimate for the error error is set to 0. maxStep, minStep and maxError are unused. This method returns an error code representing the nature of the failure: OutOfDomain = 1, NotInitialized = 2, UnexpectedValue = 3 Reimplemented from vtkInitialValueProblemSolver. Definition at line 80 of file vtkRungeKutta4.h. References vtkInitialValueProblemSolver::ComputeNextStep().

virtual int vtkRungeKutta4::ComputeNextStep | ( | float * | xprev,
|  | float * | xnext,
|  | float | t,
|  | float & | delT,
|  | float & | delTActual,
|  | float | minStep,
|  | float | maxStep,
|  | float | maxError,
|  | float & | error
| ) | `[inline, virtual]`

| Given initial values, xprev , initial time, t and a requested time interval, delT calculate values of x at t+delT (xnext). delTActual is always equal to delT. Since this class can not provide an estimate for the error error is set to 0. maxStep, minStep and maxError are unused. This method returns an error code representing the nature of the failure: OutOfDomain = 1, NotInitialized = 2, UnexpectedValue = 3 Reimplemented from vtkInitialValueProblemSolver. Definition at line 90 of file vtkRungeKutta4.h. References vtkInitialValueProblemSolver::ComputeNextStep().

virtual int vtkRungeKutta4::ComputeNextStep | ( | float * | xprev,
|  | float * | dxprev,
|  | float * | xnext,
|  | float | t,
|  | float & | delT,
|  | float & | delTActual,
|  | float | minStep,
|  | float | maxStep,
|  | float | maxError,
|  | float & | error
| ) | `[virtual]`

| Given initial values, xprev , initial time, t and a requested time interval, delT calculate values of x at t+delT (xnext). delTActual is always equal to delT. Since this class can not provide an estimate for the error error is set to 0. maxStep, minStep and maxError are unused. This method returns an error code representing the nature of the failure: OutOfDomain = 1, NotInitialized = 2, UnexpectedValue = 3 Implements vtkInitialValueProblemSolver.

virtual void vtkRungeKutta4::Initialize | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkInitialValueProblemSolver.

## Member Data Documentation

float* vtkRungeKutta4::NextDerivs[3]`[protected]`

| Definition at line 110 of file vtkRungeKutta4.h.

The documentation for this class was generated from the following file:

- Common/vtkRungeKutta4.h